Subject: Re: "GCC is not found" and "compiler cannot create executables" errors
From: david sastre <[email-masked]>
To: [email-masked]
Date: Thu, 8 Apr 2010 16:26:13 +0200
List-Id: <cygwin.cygwin.com>

2010/4/8, Dave Korn <[email-masked]>:
> On 08/04/2010 13:11, david sastre wrote:
>
>> Yesterday (still under1.7.3) I had a "compiler not found" and a
>> "compiler cannot create executables" errors while trying to build some
>> standard apps, i.e. nginx.
>
>> $ ./configure
>> checking for OS
>>  + CYGWIN_NT-5.1 1.7.4(0.225/5/3) i686
>> checking for C compiler ... not found
>> ./configure: error: C compiler gcc is not found
>
>   Well, given that ...
>
>> $ gcc --version
>> gcc (GCC) 4.3.4 20090804 (release) 1
>
> ... gcc works at the command-line for you, there's probably some sort of bug
> in nginx configure script.  Take a look through the config.log it left and
> see
> if it shows what went wrong.
>
>     cheers,
>       DaveK

At first that's what I thought too, but it fails for whatever I try to
build, even for things I have already build:
i.e.:
$ which patch
/usr/local/bin/patch
$ patch --version
patch 2.6
Copyright (C) 1988 Larry Wall
Copyright (C) 2003 Free Software Foundation, Inc.

The patch utility officially shipped with cygwin is:
$ /usr/bin/patch --version
patch 2.5.8
Copyright (C) 1988 Larry Wall
Copyright (C) 2002 Free Software Foundation, Inc.

Test case, using the same source file:
Administrador@sith ~/SOURCE/undone/patch-2.6
$ ./configure
checking for gcc... gcc
checking for C compiler default output file name...
configure: error: in `/home/Administrador/SOURCE/undone/patch-2.6':
configure: error: C compiler cannot create executables
See `config.log' for more details.

I have attached that log file, in case it could be useful, but I didn't get a
clue from that.

Regards.
--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple